# Uses of Interface
javax.swing.event.RowSorterListener

Packages that use RowSorterListener
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

- ## Uses of RowSorterListener in javax.swing

  Classes in javax.swing that implement RowSorterListener
  Modifier and Type
  Class
  Description
  `class`
  `JTable`
  The `JTable` is used to display and edit regular two-dimensional tables of cells.
  Methods in javax.swing with parameters of type RowSorterListener
  Modifier and Type
  Method
  Description
  `void`
  RowSorter.`addRowSorterListener(RowSorterListener l)`
  Adds a `RowSorterListener` to receive notification about this `RowSorter`.
  `void`
  RowSorter.`removeRowSorterListener(RowSorterListener l)`
  Removes a `RowSorterListener`.